<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exercises: JavaScript Objects</title>
</head>

<body>

    <script>
        console.log('Ex 19');
        let company = new Object();
        company.id = 1;
        company.name = "Arco Vara";
        company.logo = "https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC";
        company.established = "1994-07-04";
        company.employees = 20;
        company.revenue = 3640000;
        console.log('Company created with new Object() approach', company);

        console.log('Ex 20');
        let company2 = {
            id: 1,
            name: "Arco Vara",
            "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC",
            "established": "1994-07-04",
            "employees": 20,
            "revenue": 3640000.0
        };
        console.log('Company created with object literal approch', company2);

        console.log('Ex 21');
        class Company {
            constructor(id, name, logo, established, employees, revenue) {
                this.id = id;
                this.name = name;
                this.logo = logo;
                this.established = established;
                this.employees = employees;
                this.revenue = revenue;
            }
        }

        let company3 = new Company(
            1, 
            'Arco Vara', 
            'https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC',
            '1994-07-04',
            20,
            3640000
        );
        console.log('Company created with class', company3);

        let company4 = new Company(
            3, 
            'Ekspress Grupp', 
            'https://www.nasdaqbaltic.com/market/logo.php?issuer=EEG',
            '1995-06-21',
            1698,
            60490000
        );
        console.log('Company created with class', company4);
    </script>
</body>

</html>